Data Structures | Defines | Typedefs | Variables

# base_station_base.h File Reference

Base classes/functions for base stations. More...

`#include "core/pool_type.hpp"`
`#include "command_type.h"`
`#include "viewport_type.h"`
`#include "station_map.h"`

Go to the source code of this file.

## Data Structures
struct | StationSpecList
struct | StationRect
| StationRect - used to track station spread out rectangle - cheaper than scanning whole map. More...
struct | BaseStation
| Base class for all station-ish types. More...
struct | SpecializedStation< T, Tis_waypoint >
| Class defining several overloaded accessors so we don't have to cast base stations that often. More...
## Defines
#define | FOR_ALL_BASE_STATIONS(var) FOR_ALL_ITEMS_FROM(BaseStation, station_index, var, 0)
#define | FOR_ALL_BASE_STATIONS_OF_TYPE(name, var) FOR_ALL_ITEMS_FROM(name, station_index, var, 0) if (name::IsExpected(var))
## Typedefs
typedef Pool< BaseStation, StationID, 32, 64000 > | StationPool
## Variables
StationPool | _station_pool
| The pool of stations.

## Detailed Description

Base classes/functions for base stations.

Definition in file base_station_base.h.

## Variable Documentation

StationPool _station_pool

The pool of stations.